
// include the library code:
#include <LiquidCrystal.h>

// initialize the library by associating any needed LCD interface pin
// with the arduino pin number it is connected to
const int rs = 12, en = 11, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

// make some custom characters:
byte toplefteyes[8] = {
  B00111,
  B01111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111
};

byte mideyes[8] = {
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111
};

byte toprighteyes[8] = {
  B11100,
  B11110,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111
};

byte botlefteyes[8] = {
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B01111,
  B00111
};

byte botrighteyes[8] = {
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11111,
  B11110,
  B11100
};

void setup() {
  // initialize LCD and set up the number of columns and rows:
  lcd.begin(16, 2);
  lcd.createChar(1, toplefteyes);
  lcd.createChar(2, mideyes);
  lcd.createChar(3, toprighteyes);
  lcd.createChar(4, botlefteyes);
  lcd.createChar(5, botrighteyes);


}

void loop() {
  //int sensorReading = analogRead(A0);
  //int delayTime = map(sensorReading, 0, 1023, 200, 1000);
  lcd.setCursor(2, 0);
  lcd.write(1);
  lcd.setCursor(3,0);
  lcd.write(2);
  lcd.setCursor(4,0);
  lcd.write(3);
  lcd.setCursor(2,1);
  lcd.write(4);
  lcd.setCursor(3,1);
  lcd.write(2);
  lcd.setCursor(4,1);
  lcd.write(5);
  lcd.setCursor(11,0);
  lcd.write(1);
  lcd.setCursor(12,0);
  lcd.write(2);
  lcd.setCursor(13,0);
  lcd.write(3);
  lcd.setCursor(11,1);
  lcd.write(4);
  lcd.setCursor(12,1);
  lcd.write(2);
  lcd.setCursor(13,1);
  lcd.write(5);
  delay(5000);
  lcd.clear();
  delay(100);
}
